# Coveo FacetSlider Component (CoveoFacetSlider)

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- getSelectedValues
- isActive
- reset
- setSelectedValues
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- dateField
- dateFormat
- displayAsPercent
- displayAsValue
- end
- excludeOuterBounds
- field
- getSteps
- graph
- id
- queryOverride
- rangeSlider
- rounded
- start
- steps
- title
- valueCaption

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  #### Returns IComponentBindings

### getSelectedValues

- getSelectedValues(): number[]

- - Defined in ui/FacetSlider/FacetSlider.ts :432

  #### Returns number[]

  An array of number containing the first and last selected values, if possible. An array containing two `undefined` values otherwise.

### isActive

- isActive(): boolean

- - Defined in ui/FacetSlider/FacetSlider.ts :462

  #### Returns boolean

  `true` if the FacetSlider is active; `false` otherwise.

### reset

- reset(): void

- - Defined in ui/FacetSlider/FacetSlider.ts :413

  #### Returns void

### setSelectedValues

- setSelectedValues(values: number[]): void

- - Defined in ui/FacetSlider/FacetSlider.ts :449

  #### Parameters

  - ##### values: number[]

  #### Returns void

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional componentClass: any

  - ##### Optional noThrow: boolean

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

## Accessors

### usageAnalytics

usageAnalytics:

Inherited from Component.usageAnalytics

- Defined in ui/Base/Component.ts :343

## Component Options

### dateField

dateField: boolean

- Defined in ui/FacetSlider/FacetSlider.ts :88

Markup configuration example(s) :

    data-date-field='true'
    data-date-field='false'

### dateFormat

dateFormat: string

- Defined in ui/FacetSlider/FacetSlider.ts :120

Markup configuration example(s) :

    data-date-format='foo'

### displayAsPercent

displayAsPercent: any

- Defined in ui/FacetSlider/FacetSlider.ts :219

### displayAsValue

displayAsValue: any

- Defined in ui/FacetSlider/FacetSlider.ts :201

### end

end: any

- Defined in ui/FacetSlider/FacetSlider.ts :155

### excludeOuterBounds

excludeOuterBounds: boolean

- Defined in ui/FacetSlider/FacetSlider.ts :162

Markup configuration example(s) :

    data-exclude-outer-bounds='true'
    data-exclude-outer-bounds='false'

### field

field: IFieldOption

- Defined in ui/FacetSlider/FacetSlider.ts :98

Markup configuration example(s) :

    data-field='@foo'

### getSteps

getSteps: function

- Defined in ui/FacetSlider/FacetSlider.ts :288

#### Type declaration

- - (start: number, end: number): number[]

  - #### Parameters

    - ##### start: number

    - ##### end: number

    #### Returns number[]

### graph

graph: any

- Defined in ui/FacetSlider/FacetSlider.ts :234

### id

id: string

- Defined in ui/FacetSlider/FacetSlider.ts :109

Markup configuration example(s) :

    data-id='foo'

### queryOverride

queryOverride: string

- Defined in ui/FacetSlider/FacetSlider.ts :135

Markup configuration example(s) :

    data-query-override='foo'

### rangeSlider

rangeSlider: boolean

- Defined in ui/FacetSlider/FacetSlider.ts :188

Markup configuration example(s) :

    data-range-slider='true'
    data-range-slider='false'

### rounded

rounded: number

- Defined in ui/FacetSlider/FacetSlider.ts :169

Markup configuration example(s) :

    data-rounded='10'

### start

start: any

- Defined in ui/FacetSlider/FacetSlider.ts :145

### steps

steps: number

- Defined in ui/FacetSlider/FacetSlider.ts :181

Markup configuration example(s) :

    data-steps='10'

### title

title: string

- Defined in ui/FacetSlider/FacetSlider.ts :76

Markup configuration example(s) :

    data-title='foo'

### valueCaption

valueCaption: function

- Defined in ui/FacetSlider/FacetSlider.ts :325

#### Type declaration

- - (values: number[]): string

  - #### Parameters

    - ##### values: number[]

    #### Returns string

## Constructors

### constructor

- new FacetSlider(element: HTMLElement, options: IFacetSliderOptions, bindings?: IComponentBindings, slider?: Slider): FacetSlider

- Overwrites Component.constructor

  - Defined in ui/FacetSlider/FacetSlider.ts :354

  #### Parameters

  - ##### element: HTMLElement

  - ##### options: IFacetSliderOptions

  - ##### Optional bindings: IComponentBindings

  - ##### Optional slider: Slider

  #### Returns FacetSlider